Subject: Re: MII PHY support?

From: Magnus Damm <[email-masked]>
Date: Tue, 03 Apr 2001 09:42:37 +0200

Dan Malek wrote:

> Maybe we should just move this into a separate source file instead of
> making a big configuration mess of the FCC Ethernet driver.  I'm about
> to do that for some 8xx FEC functions as well.

the MII stuff is shared between many other drivers in the Linux kernel.
I've seen PCMCIA hardware that bitbangs some port to play around with
the
PHY registers. So, some generic bitbanging code with callbacks for the
bitsetting would be nice for them.

Have a look at the mii-tool program from the net-tools package!

Cheers /

magnus

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/